List executions
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://odyssey.asteroid.ai/agents/v2/executions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://odyssey.asteroid.ai/agents/v2/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://odyssey.asteroid.ai/agents/v2/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://odyssey.asteroid.ai/agents/v2/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://odyssey.asteroid.ai/agents/v2/executions")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://odyssey.asteroid.ai/agents/v2/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowName": "<string>",
"workflowVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"customEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"executionOptions": {
"softTimeoutMins": 2,
"variantKey": "<string>"
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUrl": "<string>",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileName": "<string>",
"purgedAt": "2023-11-07T05:31:56Z",
"recordingUrl": "<string>",
"scriptFailures": [
{
"occurredAt": "2023-11-07T05:31:56Z",
"actionId": "<string>",
"error": "<string>",
"failedLine": 123,
"nodeId": "<string>",
"nodeName": "<string>",
"scriptFilepath": "<string>",
"step": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"source": "api",
"actor": {
"id": "<string>",
"kind": "person",
"client": "web",
"name": "<string>"
},
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"workflowVersion": 123,
"workflowVersionPublished": true
}
],
"page": 123,
"pageSize": 123,
"total": 123
}{
"code": 400,
"message": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"parameter": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 401,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 403,
"message": "<string>",
"capability": "<string>",
"detail": "<string>",
"instance": "<string>",
"reason": "capability_required",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 404,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 500,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Execution
List executions
List executions with filtering and pagination
GET
/
agents
/
v2
/
executions
List executions
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions \
--header 'X-Api-Key: <api-key>'import requests
url = "https://odyssey.asteroid.ai/agents/v2/executions"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://odyssey.asteroid.ai/agents/v2/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://odyssey.asteroid.ai/agents/v2/executions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://odyssey.asteroid.ai/agents/v2/executions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://odyssey.asteroid.ai/agents/v2/executions")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://odyssey.asteroid.ai/agents/v2/executions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowName": "<string>",
"workflowVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"customEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"executionOptions": {
"softTimeoutMins": 2,
"variantKey": "<string>"
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUrl": "<string>",
"profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profileName": "<string>",
"purgedAt": "2023-11-07T05:31:56Z",
"recordingUrl": "<string>",
"scriptFailures": [
{
"occurredAt": "2023-11-07T05:31:56Z",
"actionId": "<string>",
"error": "<string>",
"failedLine": 123,
"nodeId": "<string>",
"nodeName": "<string>",
"scriptFilepath": "<string>",
"step": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"source": "api",
"actor": {
"id": "<string>",
"kind": "person",
"client": "web",
"name": "<string>"
},
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
},
"workflowVersion": 123,
"workflowVersionPublished": true
}
],
"page": 123,
"pageSize": 123,
"total": 123
}{
"code": 400,
"message": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"parameter": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 401,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 403,
"message": "<string>",
"capability": "<string>",
"detail": "<string>",
"instance": "<string>",
"reason": "capability_required",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 404,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": 500,
"message": "<string>",
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Query Parameters
Filter by lifecycle phase, derived from status (can specify multiple, OR across values). Composes with the status filter as AND. pending = queued; active = starting, running, awaiting_confirmation, paused, paused_by_agent; terminal = completed, cancelled, failed.
Execution lifecycle phase, derived from status. Every status belongs to exactly one phase.
Available options:
pending, active, terminal Filter executions created within this long before now: number-unit pairs with units w, d, h, m, longest first, e.g. 30m, 24h, 7d, 1d12h. Maximum 10 years. Cannot be combined with createdAfter A span of time: number-unit pairs with units w, d, h, m, longest first, each at most once, e.g. 30m, 24h, 7d, 2w, 1d12h. A day is 24 hours
Pattern:
^([0-9]+w([0-9]+d)?([0-9]+h)?([0-9]+m)?|[0-9]+d([0-9]+h)?([0-9]+m)?|[0-9]+h([0-9]+m)?|[0-9]+m)$
